PHP ��U
前一頁 |  | 下一頁

# DOMProcessingInstruction->__construct()

(no version information, might be only in CVS)

DOMProcessingInstruction->__construct() -- Creates a new DOMProcessingInstruction object

## Description

class DOMProcessingInstruction {
__construct ( string name [, string value] )
}

Creates a new DOMProcessingInstruction object. This object is read only. It may be appended to a document, but additional nodes may not be appended to this node until the node is associated with a document. To create a writeable node, use DOMDocument->createProcessingInstruction().

## Parameters

name

  The tag name of the processing instruction.

value

  The value of the processing instruction.

## �d��

範例 1. Creating a new DOMProcessingInstruction

`<?php $dom = new DOMDocument('1.0', 'UTF-8'); $html = $dom->appendChild(new DOMElement('html')); $body = $html->appendChild(new DOMElement('body')); $pinode = new DOMProcessingInstruction('php', 'echo "Hello World"; '); $body->appendChild($pinode); echo $dom->saveXML(); ?>`

The above example will output:

    <?xml version="1.0" encoding="UTF-8"?>
    <html><body><?php echo "Hello World"; ?></body></html>

## �Ѧ�

DOMDocument->createProcessingInstruction()

前一頁 | 內容 | 下一頁
DOMNodelist->item() | 上一層 | DOMText->__construct()